org.apache.lucene.analysis.uima

## Class UIMATypeAwareAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.uima.UIMATypeAwareAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class UIMATypeAwareAnalyzer
      extends Analyzer

  `Analyzer` which uses the `UIMATypeAwareAnnotationsTokenizer` for the tokenization phase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMATypeAwareAnalyzer(String descriptorPath, String tokenType, String featurePath, Map<String,Object> configurationParameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName)`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, getVersion, initReader, initReaderForNormalization, normalize, normalize, setVersion, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UIMATypeAwareAnalyzer

          public UIMATypeAwareAnalyzer(String descriptorPath,
                                       String tokenType,
                                       String featurePath,
                                       Map<String,Object> configurationParameters)

  - ### Method Detail

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName)

      Specified by:
        `createComponents` in class `Analyzer`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.